[arch-commits] Commit in python-pytest/repos/community-any (PKGBUILD PKGBUILD)

Felix Yan fyan at archlinux.org
Sat Dec 12 02:49:35 UTC 2015


    Date: Saturday, December 12, 2015 @ 03:49:34
  Author: fyan
Revision: 153071

archrelease: copy trunk to community-any

Added:
  python-pytest/repos/community-any/PKGBUILD
    (from rev 153070, python-pytest/trunk/PKGBUILD)
Deleted:
  python-pytest/repos/community-any/PKGBUILD

----------+
 PKGBUILD |  134 +++++++++++++++++++++++++++++--------------------------------
 1 file changed, 65 insertions(+), 69 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2015-12-12 02:49:12 UTC (rev 153070)
+++ PKGBUILD	2015-12-12 02:49:34 UTC (rev 153071)
@@ -1,69 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Felix Kaiser <felix.kaiser at fxkr.net>
-
-pkgbase=python-pytest
-pkgname=('python-pytest' 'python2-pytest')
-pkgver=2.8.4
-pkgrel=2
-pkgdesc="Simple powerful testing with Python"
-arch=('any')
-license=('MIT')
-url="http://pytest.org/"
-makedepends=('python-setuptools' 'python2-setuptools' 'python-py' 'python2-py' 'git'
-             'python-pluggy' 'python2-pluggy')
-checkdepends=('lsof' 'python-nose' 'python2-nose'
-              'python-mock' 'python2-mock' 'python-yaml' 'python2-yaml' 'python2-enum34'
-              'python-pexpect' 'python2-pexpect' 'python-pytest-xdist' 'python2-pytest-xdist'
-              'python-zope-interface' 'python2-zope-interface' 'python-twisted' 'python2-twisted')
-source=("git+https://github.com/pytest-dev/pytest.git#tag=$pkgver"
-        fix-deprecated_call.patch)
-sha512sums=('SKIP'
-            '37754ab7eabf7e389ef30b4253152d2ba2fca4bbcfe11a14bf1f13da0a17e92f88808e76bbc7b66d2cddbc00fb1ecde814dc19277a36a92b7d540d84ae0391f2')
-
-prepare() {
-  # Remove bundled pluggy - disabled for now as it will break tests
-  # rm -r pytest/_pytest/vendored_packages
-  # sed -i "s/'_pytest.vendored_packages'//" pytest/setup.py
-
-  # https://github.com/pytest-dev/pytest/issues/1238
-  (cd pytest; patch -p1 -i ../fix-deprecated_call.patch)
-
-  cp -a pytest{,-py2}
-}
-
-build() {
-  cd "$srcdir/pytest"
-  python setup.py build
-
-  cd "$srcdir/pytest-py2"
-  python2 setup.py build
-}
-
-check() {
-  cd "$srcdir/pytest"
-  python setup.py test
-
-  cd "$srcdir/pytest-py2"
-  python2 setup.py test || warning "Tests failed"
-  # https://github.com/pytest-dev/pytest/issues/927
-}
-
-package_python-pytest() {
-  depends=('python-py' 'python-setuptools') # 'python-pluggy'
-
-  cd pytest
-  python setup.py install --root="${pkgdir}" --optimize=1
-  install -D -m644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
-}
-
-package_python2-pytest() {
-  depends=('python2-py' 'python2-setuptools') # 'python2-pluggy'
-
-  cd pytest-py2
-  python2 setup.py install --root="${pkgdir}" --optimize=1
-  install -D -m644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
-
-  mv "${pkgdir}/usr/bin/py.test" "${pkgdir}/usr/bin/py.test2"
-}
-

Copied: python-pytest/repos/community-any/PKGBUILD (from rev 153070, python-pytest/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2015-12-12 02:49:34 UTC (rev 153071)
@@ -0,0 +1,65 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Felix Kaiser <felix.kaiser at fxkr.net>
+
+pkgbase=python-pytest
+pkgname=('python-pytest' 'python2-pytest')
+pkgver=2.8.5
+_commit=7d150c20cf7c0479a3da1794c48b39372c4fa265
+pkgrel=1
+pkgdesc="Simple powerful testing with Python"
+arch=('any')
+license=('MIT')
+url="http://pytest.org/"
+makedepends=('python-setuptools' 'python2-setuptools' 'python-py' 'python2-py' 'git'
+             'python-pluggy' 'python2-pluggy')
+checkdepends=('lsof' 'python-nose' 'python2-nose'
+              'python-mock' 'python2-mock' 'python-yaml' 'python2-yaml' 'python2-enum34'
+              'python-pexpect' 'python2-pexpect' 'python-pytest-xdist' 'python2-pytest-xdist'
+              'python-zope-interface' 'python2-zope-interface' 'python-twisted' 'python2-twisted')
+source=("git+https://github.com/pytest-dev/pytest.git#commit=$_commit")
+sha512sums=('SKIP')
+
+prepare() {
+  # Remove bundled pluggy - disabled for now as it will break tests
+  # rm -r pytest/_pytest/vendored_packages
+  # sed -i "s/'_pytest.vendored_packages'//" pytest/setup.py
+
+  cp -a pytest{,-py2}
+}
+
+build() {
+  cd "$srcdir/pytest"
+  python setup.py build
+
+  cd "$srcdir/pytest-py2"
+  python2 setup.py build
+}
+
+check() {
+  cd "$srcdir/pytest"
+  python setup.py test
+
+  cd "$srcdir/pytest-py2"
+  python2 setup.py test || warning "Tests failed"
+  # https://github.com/pytest-dev/pytest/issues/927
+}
+
+package_python-pytest() {
+  depends=('python-py' 'python-setuptools') # 'python-pluggy'
+
+  cd pytest
+  python setup.py install --root="${pkgdir}" --optimize=1
+  install -D -m644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+}
+
+package_python2-pytest() {
+  depends=('python2-py' 'python2-setuptools') # 'python2-pluggy'
+
+  cd pytest-py2
+  python2 setup.py install --root="${pkgdir}" --optimize=1
+  install -D -m644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+
+  mv "${pkgdir}/usr/bin/py.test" "${pkgdir}/usr/bin/py.test2"
+}
+



More information about the arch-commits mailing list